#delimit;
clear;

**** User 1 : Steve mac dropbox;

local user=1;
if `user'==1 {;
global input="/Users/reddings/Dropbox/HIMR/Restud/robustness/Othercountries/Colombia";
global data="/Users/reddings/Dropbox/HIMR/Restud3/replication/himr-restud/matlab/colombia/stata";
};

use $input/data/col77.dta;
append using $input/data/col78.dta;
append using $input/data/col79.dta;
append using $input/data/col80.dta;
append using $input/data/col81.dta;
append using $input/data/col82.dta;
append using $input/data/col83.dta;
append using $input/data/col84.dta;
append using $input/data/col85.dta;
append using $input/data/col86.dta;
append using $input/data/col87.dta;
append using $input/data/col88.dta;
append using $input/data/col89.dta;
append using $input/data/col90.dta;
append using $input/data/col91.dta;

/*   create a balanced panel (plant*year) observations.  */


sort plant year ;
fillin plant year;
gen operate= 1 - _fillin ;

/* All value variables before 1980 must be divided by 1000 */
/* Warning: The set of variables below is not a comprehensive list */

replace i11 = i11/1000 if year < 80;
replace i39 = i39/1000 if year < 80;
replace c14 = c14/1000 if year < 80;
replace pe = pe/1000 if year < 80;
replace pg = pg/1000 if year < 80;
replace s8 = s8/1000 if year < 80;
replace w7 = w7/1000 if year < 80;
replace w14 = w14/1000 if year < 80;
replace s5 = s5/1000 if year < 80;
replace s10 = s10/1000 if year < 80;

replace c1 = c1/1000 if year < 80;
replace c2 = c2/1000 if year < 80;
replace c3 = c3/1000 if year < 80;
replace c4 = c4/1000 if year < 80;
replace c5 = c5/1000 if year < 80;
replace c6 = c6/1000 if year < 80;
replace c7 = c7/1000 if year < 80;
replace c17 = c17/1000 if year < 80;

ren l1 employment;
ren w7 wagebill;
ren s3 domsales;
ren s4 exports;

label var employment "Total employment";
label var wagebill "Total salaries";
label var domsales "Total domestic sales";
label var exports "Exports";

keep plant year sic employment wagebill domsales exports;

* No exporter information before 81;
drop if year<81;

* Fix industry classification for 90 and 91;
replace sic=round(sic/10) if year==90|year==91;
drop if sic>=3900;
gen sic3=round(sic/10);
gen sic2=round(sic/100);

drop if employment==0|employment<0;
drop if wagebill==0|wagebill<0;
drop if domsales==0|domsales<0;
drop if exports<0;
gen wage=wagebill/employment;
gen lwage=ln(wage);
gen lemp=ln(employment);
gen exporter=(exports>0&exports!=.);

egen noj_exp=count(plant) if exporter==1,by(sic3 year);
egen noj_nonexp=count(plant) if exporter==0,by(sic3 year);
egen min_noj_exp=min(noj_exp),by(sic3);
egen min_noj_nonexp=min(noj_nonexp),by(sic3);
drop if min_noj_exp<5;
drop if min_noj_nonexp<5;

drop if exporter==.|employment==.|wage==.;

so plant year;
sa $data/col-all.dta, replace;

****************************;
* Outsheet data for Matlab *;
****************************;

gen reslemp=.;
gen reslwage=.;
foreach yr of numlist 81(1)91 {;

areg lemp if year==`yr', abs(sic3);
predict temp if e(sample), res;
replace reslemp=temp if year==`yr';
drop temp;
areg lwage if year==`yr', abs(sic3);
predict temp if e(sample), res;
replace reslwage=temp if year==`yr';
drop temp;

outsheet plant year sic3 employment wage exporter if year==`yr' using $data/coldata`yr'.csv, comma replace nolabel nonames; 
};



