
#delimit;

clear;
clear matrix;
set mem 8000m;
set matsize 10000;
set more off;
capture log close;

****************************************************************;
**** This file estimates wage premia by employment size and ****;
**** export status for Table 3 in the paper                 ****;
****************************************************************;

global dofiles="/home/sjredding/himr-restud/stata/dofiles";
global logs="/home/sjredding/himr-restud/stata/logs";
global input="/data/sjredding/himr-input";
global data="/data/sjredding/himr-restud";

log using $logs/condwtvfe/wagesize/expwagesize.log,replace;

*******************************************;
* Cross-section Export Wage Size Analysis *;
*******************************************;

foreach yr of numlist 1994 {;

display "Year is";
display `yr';

u $data/condwtvfe/mincer/agg-tmincer-`yr'-fun.dta, replace;

xtset firm_subsibge;

*****************************************************;
**** Columns (1) and (2) of Table 3 in the paper ****;
*****************************************************;

* Industry fixed effects regressions;
display "**** Industry FE regressions ****";
display "**** Year is `yr' ****";

* Unconditional firm wage component;
xtreg lwageyr lemploy indexp, fe vce(robust);

* Conditional firm wage component;
* (conditional on observed worker characteristics);
xtreg felwageyr lemploy indexp, fe vce(robust);

};

log close;
